

.event-frame {
  display: grid;
  grid-template-columns: minmax(0,1fr) 2fr;
  width: 100%;
  max-width: 100%;
  height: 500px
  clear: both;
  margin: 0 auto; /* Zentriert das Grid */  
  margin-top: 2rem;
  margin-bottom: 2rem;
  padding: 0;
  --distance-left: 0.8rem;
  overflow: hidden;
}

.event-info-frame {
  display: flex;
  flex-direction: column;
  width: 100%;
  column-gap: 2rem;
  row-gap: 0rem;
  border-left: 3px solid var(--color-logo-red);
  padding-left: 2rem;
}

.event-frame {
  align-items: start; /* falls irgendwo align-items:center gesetzt wurde */
}
.event-info-frame {
  justify-content: flex-start;
  align-items: flex-start;
}

.event-info-detail-frame {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: 50%;
  width: 100%;
  align-content: flex-start
}

.event-image-frame {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  max-width: 340px; 
  height: 300px;
  overflow: hidden; 
  background-color: #f0f0f0; 
}

.event-thumbnail {
  width: 100%;
  height: 100%; /* Bild passt sich der Höhe des Containers an */
  object-fit: cover; /* Bild füllt den Rahmen und schneidet überschüssige Bereiche ab */
}

.event-title {
  /*grid-column-start: 1;
  grid-column-end: -1;*/
  width: 100%;
  text-align: left;
  margin-bottom: 1rem;
}

.event-description {
  overflow: hidden;
  max-height: 8.1rem;
}

.event-info-value {
  white-space: nowrap;
}

.event-info-unit {
  display: grid;
  grid-template-columns: 2rem 1fr;
  font-size: larger;
  padding-bottom: 0.3rem;
  min-width: 280px;
}

.button-frame {
  display: flex;
  flex-direction: row;
  flex-wrap: warp;
  gap: 1rem;
  margin-top: 1rem;
  width: 100%;
}

.event-in-future {
    /*color: var(--color-logo-red);*/
  display: none;
}

.event-in-past {
  /*text-decoration: line-through;*/
  position: relative;
  top: -.4rem; /* Verschiebt den Inhalt 1rem nach oben */
  margin-left: 1rem;
  font-size: 1rem;
  display: span;
  color: var(--color-logo-red);
}

.event-description {
  min-height: 6rem;
}

@media (max-width: 921px) {

  .event-image-frame,
  .event-info-frame {
    width: 100%;
    max-width: 100%;
    height: auto;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
    
  .event-frame {
    grid-template-columns: 1fr; /* Wechselt zu einer Spalte */
    margin: 0 auto;  /* Zentriert den Container auf der Seite */
    /*border: 1px solid red;*/
  }
  
  .event-image-frame {
    max-width: 100%;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    overflow: hidden;
    margin: 0; /* Verhindert Randverschiebungen */
  }

  .event-info-unit {
    min-width: none;
  }

  .event-thumbnail {
    width: 100%;
    max-width: 100%;
    height: auto; /* Passt die Höhe proportional zur Breite an */
    object-fit: cover;
    margin: 0; /* Verhindert zusätzlichen Leerraum */
  }

  .event-info-frame {
    border-left: none;
  }
}



